#version 330
#extension GL_ARB_separate_shader_objects : enable
precision highp float;
precision highp sampler2D;
precision highp sampler2DMS;
precision highp samplerCube;

layout(location = 0) in vec3 _vin_Position;

struct SVertexInput
{
	vec3 Position;
	int VertexIndex;
	uint InstanceId;
};

layout(location = 0) smooth out vec4 _vout_fragColor;

struct SVertexOutput
{
	vec4 fragColor;
	vec4 VertexPosition;
};


layout( std140) uniform UDebugColor
{
	vec4 Color;
} DebugColor;


void VertexMain( in SVertexInput  vInput,  out SVertexOutput  vOutput  )
{








	vOutput.VertexPosition = vec4(vInput.Position, 1.0);






		vOutput.fragColor =  DebugColor.Color ;
}


void main()
{
	SVertexInput vInput;
	SVertexOutput vOutput;

	vInput.Position = _vin_Position;
	vInput.VertexIndex = gl_VertexID;
	vInput.InstanceId = uint(gl_InstanceID);
	vOutput.fragColor = vec4(0, 0, 0, 0);
	VertexMain(vInput, vOutput);
	_vout_fragColor = vOutput.fragColor;
	gl_Position = vOutput.VertexPosition;
}
